Subject: Re: [Bitcoin-development] Self-dependency transaction question...

From: Aaron Voisine <[email-masked]>
Date: Sun, 13 Jul 2014 19:25:51 -0700

I believe tx have to be ordered sequentially within a block. Also
since a tx is referenced by it's hash, it's practically impossible to
make a self referential tx.

Aaron Voisine
breadwallet.com

On Sun, Jul 13, 2014 at 4:32 PM, Richard Moore <[email-masked]> wrote:
> Hey all,
>
> I'm working on the UTXO database for my Python implementation of bitcoind
> and have found a situation I did not realize was valid, but since it seems
> to be, had a quick question.
>
> If you look at block #546 the 4th transaction's first input uses its own
> block's 3rd transaction as an input.
> https://blockchain.info/block/000000005a4ded781e667e06ceefafb71410b511fe0d5adc3e5a27ecbec34ae6
>
> My question is, would the other way be valid, that is, could the 3rd
> transaction of a block, use the 4th transaction from the same block as an
> input? Or are transactions processed strictly top to bottom?
>
> Thanks,
> RicMoo
>
> P.S. If it is valid, another question; what would happen if a transaction
> was self-referencing? I realize it would be very difficult to find one, but
> if I could find a transaction X whose input was X and had an output Y, would
> Y be a new valid utxo, without being a generation transaction input?
>
> .·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸><(((º>
>
> Richard Moore ~ Founder
> Genetic Mistakes Software inc.
> phone: (778) 882-6125
> email: [email-masked]
> www: http://GeneticMistakes.com
>
>
> ------------------------------------------------------------------------------
> Want fast and easy access to all the code in your enterprise? Index and
> search up to 200,000 lines of code with a free copy of Black Duck&#174;
> Code Sight&#153; - the same software that powers the world's largest code
> search on Ohloh, the Black Duck Open Hub! Try it now.
> http://p.sf.net/sfu/bds
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>